export declare type AbstractEventBusEventType = {
    payload?: unknown;
    type: string;
    cancel?: boolean;
};
export declare type Subscription = {
    closed: boolean;
    unsubscribe: () => void;
};
export declare const emit: (x: AbstractEventBusEventType) => Promise<AbstractEventBusEventType>;
export declare const listen: (event: AbstractEventBusEventType, onNext: (value: AbstractEventBusEventType) => void) => Subscription;
