var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getTagDef, register } from '../index';
export const render = (tagDef, target, props) => __awaiter(void 0, void 0, void 0, function* () {
    if (!getTagDef(tagDef.tagName)) {
        yield register(tagDef);
    }
    // create our component
    const element = document.createElement(tagDef.tagName);
    // transfer properties
    if (props) {
        props(element);
    }
    target.append(element);
    return element;
});
//# sourceMappingURL=Render.js.map